twisted 18.7.0 requires PyHamcrest>=1.9.0, which is not installed.

在这里插入图片描述
之前看网上的下载twisted ,没解决,后来试一下这个就成功了
下载对应的PyHamcrest:https://www.lfd.uci.edu/~gohlke/pythonlibs/#PyHamcrest
(我下载的版本为:PyHamcrest-2.0.2-py3-none-any.whl )
通过Anaconda3的Anaconda Prompt进行安装
定位到下载PyHamcrest的目录
pip install PyHamcrest-2.0.2-py3-none-any.whl
在这里插入图片描述
导入成功后错误消失
在这里插入图片描述

©️2020 CSDN 皮肤主题: 大白 设计师:CSDN官方博客 返回首页